Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.exception
Class BadInputException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException
                  com.beasys.commerce.foundation.exception.ProcessingException
                      com.beasys.commerce.foundation.exception.BadInputException

All Implemented Interfaces
  MessageCatalogException, Serializable

    public class BadInputException

extends ProcessingException

`BadInputException` or sub-classes of `BadInputException` are to be thrown by classes that implement the `InputProcessor` interface to signal any bad input.

Note: Throughout this API documentation namespace refers to the resource bundle that contains the catalog of exception messages. Refer to the `MessageCatalog` API documentation for further details.

See Also
  `MessageCatalogException`, Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.foundation.exception.ProcessingException
`MESSAGE_NAMESPACE`

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`BadInputException(String messageKey)` Constructs a BadInputException with the given message.
`BadInputException(String messageKey, Exception embeddedException)` Constructs a BadInputException.
`BadInputException(String messageKey, Object[] argument)` Constructs a BadInputException.
`BadInputException(String messageKey, Object[] argument, Exception embeddedException)` Constructs a BadInputException.
`BadInputException(String messageKey, String argument)` Constructs a BadInputException.
`BadInputException(String namespace, String messageKey, Exception embeddedException)` Constructs a BadInputException.
`BadInputException(String namespace, String messageKey, Object[] argument)` Constructs a BadInputException.
`BadInputException(String namespace, String messageKey, Object[] argument, Exception embeddedException)` Constructs a BadInputException.
`BadInputException(String namespace, String messageKey, String argument)` Constructs a BadInputException.
`BadInputException(String namespace, String messageKey, String argument, Exception embeddedException)` Constructs a BadInputException.

Method Summary

Methods inherited from class com.beasys.commerce.foundation.exception.ProcessingException
`setEmbeddedException`

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BadInputException

    public BadInputException(String messageKey)

  Constructs a BadInputException with the given message.

  Parameters
    `String` - message.

### BadInputException

    public BadInputException(String messageKey,
                             String argument)

  Constructs a BadInputException.

  Parameters
    `String` - messageKey to look for in the default resource bundle.
    `String` - the argument that will be used to replace the place holders in the message.

### BadInputException

    public BadInputException(String namespace,
                             String messageKey,
                             String argument)

  Constructs a BadInputException.

  Parameters
    `String` - the resource bundle.
    `String` - messageKey to look for in the resource bundle.
    `String` - the argument that will be used to replace the place holders in the message.

### BadInputException

    public BadInputException(String messageKey,
                             Object[] argument)

  Constructs a BadInputException.

  Parameters
    `String` - messageKey to look for in the default resource bundle.
    `Object[]` - the arguments that will be used to replace the place holders in the message.

### BadInputException

    public BadInputException(String namespace,
                             String messageKey,
                             Object[] argument)

  Constructs a BadInputException.

  Parameters
    `String` - the resource bundle.
    `String` - messageKey to look for in the resource bundle.
    `Object[]` - the argument that will be used to replace the place holders in the message.

### BadInputException

    public BadInputException(String messageKey,
                             Exception embeddedException)

  Constructs a BadInputException.

  Parameters
    `String` - messageKey to look for in the default resource bundle.
    `Exception` - the embedded exception.

### BadInputException

    public BadInputException(String namespace,
                             String messageKey,
                             Exception embeddedException)

  Constructs a BadInputException.

  Parameters
    `String` - the resource bundle.
    `String` - messageKey to look for in the resource bundle.
    `Exception` - the embedded exception.

### BadInputException

    public BadInputException(String namespace,
                             String messageKey,
                             String argument,
                             Exception embeddedException)

  Constructs a BadInputException.

  Parameters
    `String` - the resource bundle.
    `String` - messageKey to look for in the resource bundle.
    `String` - the argument that will be used to replace the place holders in the message.
    `Exception` - the embedded exception.

### BadInputException

    public BadInputException(String messageKey,
                             Object[] argument,
                             Exception embeddedException)

  Constructs a BadInputException.

  Parameters
    `String` - messageKey to look for in the default resource bundle.
    `Object[]` - the argument that will be used to replace the place holders in the message.
    `Exception` - the embedded exception.

### BadInputException

    public BadInputException(String namespace,
                             String messageKey,
                             Object[] argument,
                             Exception embeddedException)

  Constructs a BadInputException.

  Parameters
    `String` - the resource bundle.
    `String` - messageKey to look for in the resource bundle.
    `Object[]` - the argument that will be used to replace the place holders in the message.
    `Exception` - the embedded exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved